Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.ptoca
Interface PtocaProducer

All Known Implementing Classes:
  LineDataInfoProducer, TextDataInfoProducer

public interface PtocaProducer

Producer interface that is passed to a `PresentationTextObject` to produce PTOCA control sequences using a `PtocaBuilder`.

Method Summary
`void` | `produce(PtocaBuilder builder)` Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

Method Detail

### produce

    public void produce(PtocaBuilder builder)
                 throws java.io.IOException

  Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

  Parameters:
    `builder` - the builder object
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.